# TODO
# - restore lirc_parallel driver
# - try to make it use builder_kernel_modules and install_kernel_modules; I couldn't make it
# - build is running kernel arch dependent, try to get rid of this
# - libcaraca_client (http://caraca.sourceforge.net/) - no releases yet
# - create modprobe alias files instead of reminding in post scriptlets
#
# Conditional build:
%bcond_without	dist_kernel	# without sources of distribution kernel
%bcond_without	kernel		# don't build kernel modules, only library+programs
%bcond_without	userspace	# build only packages with kernel modules
%bcond_with	svga		# without svgalib-based utility
%bcond_without	x		# without X11-based utilitied

%if %{without kernel}
%undefine	with_dist_kernel
%endif

# The goal here is to have main, userspace, package built once with
# simple release number, and only rebuild kernel packages with kernel
# version as part of release number, without the need to bump release
# with every kernel change.
%if 0%{?_pld_builder:1} && %{with kernel} && %{with userspace}
%{error:kernel and userspace cannot be built at the same time on PLD builders}
exit 1
%endif

%if "%{_alt_kernel}" != "%{nil}"
%if 0%{?build_kernels:1}
%{error:alt_kernel and build_kernels are mutually exclusive}
exit 1
%endif
%undefine	with_userspace
%global		_build_kernels		%{alt_kernel}
%else
%global		_build_kernels		%{?build_kernels:,%{?build_kernels}}
%endif

%if %{without userspace}
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0
%endif

%define		kbrs	%(echo %{_build_kernels} | tr , '\\n' | while read n ; do echo %%undefine alt_kernel ; [ -z "$n" ] || echo %%define alt_kernel $n ; echo "BuildRequires:kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2" ; done)
%define		kpkg	%(echo %{_build_kernels} | tr , '\\n' | while read n ; do echo %%undefine alt_kernel ; [ -z "$n" ] || echo %%define alt_kernel $n ; echo %%kernel_pkg ; echo %%kernel_pkg_scriptlets ; done)
%define		bkpkg	%(echo %{_build_kernels} | tr , '\\n' | while read n ; do echo %%undefine alt_kernel ; [ -z "$n" ] || echo %%define alt_kernel $n ; echo %%build_kernel_pkg ; done)

%define		pname	lirc
%define		rel	104

#
# main package
#
# lirc_gpio fails to build under kernel >= 2.6.23
#
%if %{_kernel_version_code} >= %{_kernel_version_magic 2 6 23}
%if %{_kernel_version_code} >= %{_kernel_version_magic 3 0 0}
%define		drivers		"lirc_atiusb lirc_bt829 lirc_dev lirc_i2c lirc_igorplugusb lirc_imon lirc_parallel lirc_sasem lirc_serial lirc_sir lirc_ttusbir"
%else
%define		drivers		"lirc_atiusb lirc_bt829 lirc_dev lirc_i2c lirc_igorplugusb lirc_imon lirc_parallel lirc_sasem lirc_serial lirc_sir lirc_ttusbir lirc_wpc8769l"
%endif
%else
%define		drivers		"lirc_atiusb lirc_bt829 lirc_dev lirc_gpio lirc_i2c lirc_igorplugusb lirc_imon lirc_parallel lirc_sasem lirc_serial lirc_sir lirc_ttusbir lirc_wpc8769l"
%endif
Summary:	Linux Infrared Remote Control daemons
Summary(pl.UTF-8):	Serwery do zdalnego sterowania Linuksem za pomocą podczerwieni
Name:		%{pname}%{?_pld_builder:%{?with_kernel:-kernel}}%{_alt_kernel}
Version:	0.9.0
Release:	%{rel}%{?_pld_builder:%{?with_kernel:@%{_kernel_ver_str}}}
License:	GPL v2+
Group:		Daemons
Source0:	http://downloads.sourceforge.net/lirc/%{pname}-%{version}.tar.bz2
# Source0-md5:	b232aef26f23fe33ea8305d276637086
Source1:	http://lirc.sourceforge.net/remotes.tar.bz2
# Source1-md5:	238d1773d3c405acc02813674f5a55f8
Source2:	%{pname}d.sysconfig
Source3:	%{pname}d.init
Source4:	%{pname}md.init
Source5:	%{pname}.tmpfiles
Patch0:		%{pname}-opt.patch
Patch1:		%{pname}-tmp.patch
Patch2:		%{pname}-no-svgalib.patch
Patch3:		%{pname}-kernel.patch
Patch4:		%{pname}-sparc.patch
Patch5:		%{pname}-remotes.patch
Patch6:		%{pname}-kernelcc.patch
Patch7:		format-security.patch
Patch8:		%{pname}-am.patch
URL:		http://www.lirc.org/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	iguanaIR-devel
BuildRequires:	libftdi-devel >= 0.12
BuildRequires:	libirman-devel >= 0.4.5
BuildRequires:	libtool
BuildRequires:	libusb-compat-devel >= 0.1.0
BuildRequires:	rpmbuild(macros) >= 1.679
%{?with_dist_kernel:%{expand:%kbrs}}
BuildRequires:	rpm-pythonprov
%{?with_svga:BuildRequires:	svgalib-devel}
%{?with_x:BuildRequires:	xorg-lib-libX11-devel}
Requires(post,preun):	/sbin/chkconfig
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	%{pname}-libs = %{version}-%{release}
Requires:	libftdi >= 0.12
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{without userspace}
%define		no_spec_install_post_check_tmpfiles	1
%endif

%description
LIRC is a package that allows you to decode and send infra-red signals
of many (but not all) commonly used remote controls.

%description -l pl.UTF-8
LIRC to program pozwalający na dekodowanie nadchodzących oraz
wysyłanie sygnałów w podczerwieni za pomocą wielu (ale nie wszystkich)
popularnych urządzeń do zdalnego sterowania.

%package remotes
Summary:	Lirc remotes database
Summary(pl.UTF-8):	Baza pilotów obsługiwanych przez lirc
Group:		Documentation
Requires:	%{pname} = %{version}-%{rel}

%description remotes
This package contains configuration files for many remotes supported
by lirc.

%description remotes -l pl.UTF-8
Ten pakiet zawiera pliki konfiguracyjne dla wielu pilotów
obsługiwanych przez lirc.

%package X11
Summary:	Linux Infrared Remote Control - X11 utilities
Summary(pl.UTF-8):	Zdalne sterowanie Linuksem za pomocą podczerwieni - narzędzia X11
Group:		X11/Applications
Requires:	%{pname}-libs = %{version}-%{release}

%description X11
Linux Infrared Remote Control - X11 utilities.

%description X11 -l pl.UTF-8
Zdalne sterowanie Linuksem za pomocą podczerwieni - narzędzia X11.

%package svga
Summary:	Linux Infrared Remote Control - svgalib utilities
Summary(pl.UTF-8):	Zdalne sterowanie Linuksem za pomocą podczerwieni - narzędzia svgalib
Group:		Applications
Requires:	%{pname}-libs = %{version}-%{release}

%description svga
Linux Infrared Remote Control - svgalib-based utilities.

%description svga -l pl.UTF-8
Zdalne sterowanie Linuksem za pomocą podczerwieni - narzędzia oparte
na svgalibie.

%package libs
Summary:	LIRC libraries
Summary(pl.UTF-8):	Biblioteki LIRC
Group:		Libraries
Conflicts:	lirc < 0.6.3-3
# didn't use /tmp/.lircd

%description libs
This package provides the libraries necessary to run lirc client
programs.

%description libs -l pl.UTF-8
Ten pakiet zawiera biblioteki niezbędne do działania klientów LIRC.

%package devel
Summary:	Header files for LIRC development
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów z obsługą LIRC
Group:		Development/Libraries
Requires:	%{pname}-libs = %{version}-%{release}

%description devel
This package provides the files necessary to develop LIRC-based
programs.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki niezbędne do tworzenia programów opartych na
LIRC.

%package static
Summary:	Static library for LIRC development
Summary(pl.UTF-8):	Biblioteka statyczna LIRC
Group:		Development/Libraries
Requires:	%{pname}-devel = %{version}-%{release}

%description static
The files necessary for development of statically-linked lirc-based
programs.

%description static -l pl.UTF-8
Pliki potrzebne do tworzenia łączonych statycznie programów opartych
na LIRC.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-char-lirc-atiusb\
Summary:	Kernel modules for Linux Infrared Remote Control\
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
Requires(post,postun):	/sbin/depmod\
Requires:	%{pname} = %{version}\
Conflicts:	dev < 2.8.0-3\
\
%description -n kernel%{_alt_kernel}-char-lirc-atiusb\
This package contains the kernel modules necessary to operate some\
infrared remote control devices (such as the ones bundled with TV\
cards).\
\
lirc_atiusb module.\
\
%description -n kernel%{_alt_kernel}-char-lirc-atiusb -l pl.UTF-8\
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych\
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).\
\
Moduł lirc_atiusb.\
\
%package -n kernel%{_alt_kernel}-char-lirc-bt829\
Summary:	Kernel modules for Linux Infrared Remote Control\
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
Requires(post,postun):	/sbin/depmod\
Requires:	%{pname} = %{version}\
Conflicts:	dev < 2.8.0-3\
\
%description -n kernel%{_alt_kernel}-char-lirc-bt829\
This package contains the kernel modules necessary to operate some\
infrared remote control devices (such as the ones bundled with TV\
cards).\
\
lirc_bt829 module.\
\
%description -n kernel%{_alt_kernel}-char-lirc-bt829 -l pl.UTF-8\
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych\
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).\
\
Moduł lirc_bt829.\
\
%package -n kernel%{_alt_kernel}-char-lirc-dev\
Summary:	Kernel modules for Linux Infrared Remote Control\
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
Requires(post,postun):	/sbin/depmod\
Requires:	%{pname} = %{version}\
Obsoletes:	lirc-modules\
Obsoletes:	lirc-modules-dev\
Conflicts:	dev < 2.8.0-3\
\
%description -n kernel%{_alt_kernel}-char-lirc-dev\
This package contains the kernel modules necessary to operate some\
infrared remote control devices (such as the ones bundled with TV\
cards).\
\
lirc_dev module.\
\
%description -n kernel%{_alt_kernel}-char-lirc-dev -l pl.UTF-8\
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych\
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).\
\
Moduł lirc_dev.\
\
%package -n kernel%{_alt_kernel}-char-lirc-ene0100\
Summary:	Kernel modules for Linux Infrared Remote Control\
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
Requires(post,postun):	/sbin/depmod\
Requires:	%{pname} = %{version}\
Obsoletes:	lirc-modules\
Conflicts:	dev < 2.8.0-3\
\
%description -n kernel%{_alt_kernel}-char-lirc-ene0100\
This package contains the kernel modules necessary to operate some\
infrared remote control ene0100ices (such as the ones bundled with TV\
cards).\
\
lirc_ene0100 module.\
\
%description -n kernel%{_alt_kernel}-char-lirc-ene0100 -l pl.UTF-8\
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych\
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).\
\
Moduł lirc_ene0100.\
\
%package -n kernel%{_alt_kernel}-char-lirc-gpio\
Summary:	Kernel modules for Linux Infrared Remote Control\
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
Requires(post,postun):	/sbin/depmod\
Requires:	%{pname} = %{version}\
Obsoletes:	lirc-modules\
Obsoletes:	lirc-modules-gpio\
Conflicts:	dev < 2.8.0-3\
\
%description -n kernel%{_alt_kernel}-char-lirc-gpio\
This package contains the kernel modules necessary to operate some\
infrared remote control devices (such as the ones bundled with TV\
cards).\
\
lirc_gpio module.\
\
%description -n kernel%{_alt_kernel}-char-lirc-gpio -l pl.UTF-8\
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych\
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).\
\
Moduł lirc_gpio.\
\
%package -n kernel%{_alt_kernel}-char-lirc-i2c\
Summary:	Kernel modules for Linux Infrared Remote Control\
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
Requires(post,postun):	/sbin/depmod\
Requires:	%{pname} = %{version}\
Obsoletes:	lirc-modules\
Obsoletes:	lirc-modules-i2c\
Conflicts:	dev < 2.8.0-3\
\
%description -n kernel%{_alt_kernel}-char-lirc-i2c\
This package contains the kernel modules necessary to operate some\
infrared remote control devices (such as the ones bundled with TV\
cards).\
\
lirc_i2c module.\
\
%description -n kernel%{_alt_kernel}-char-lirc-i2c -l pl.UTF-8\
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych\
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).\
\
Moduł lirc_i2c.\
\
%package -n kernel%{_alt_kernel}-char-lirc-igorplugusb\
Summary:	Kernel modules for Linux Infrared Remote Control\
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
Requires(post,postun):	/sbin/depmod\
Requires:	%{pname} = %{version}\
Obsoletes:	lirc-modules\
Obsoletes:	lirc-modules-igorplugusb\
Conflicts:	dev < 2.8.0-3\
\
%description -n kernel%{_alt_kernel}-char-lirc-igorplugusb\
This package contains the kernel modules necessary to operate some\
infrared remote control devices (such as the ones bundled with TV\
cards).\
\
lirc_igorplugusb module.\
\
%description -n kernel%{_alt_kernel}-char-lirc-igorplugusb -l pl.UTF-8\
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych\
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).\
\
Moduł lirc_igorplugusb.\
\
%package -n kernel%{_alt_kernel}-char-lirc-imon\
Summary:	Kernel modules for Linux Infrared Remote Control\
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
Requires(post,postun):	/sbin/depmod\
Requires:	%{pname} = %{version}\
Obsoletes:	lirc-modules\
Obsoletes:	lirc-modules-imon\
Conflicts:	dev < 2.8.0-3\
\
%description -n kernel%{_alt_kernel}-char-lirc-imon\
This package contains the kernel modules necessary to operate some\
infrared remote control devices (such as the ones bundled with TV\
cards).\
\
lirc_imon module.\
\
%description -n kernel%{_alt_kernel}-char-lirc-imon -l pl.UTF-8\
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych\
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).\
\
Moduł lirc_imon.\
\
%package -n kernel%{_alt_kernel}-char-lirc-sasem\
Summary:	Kernel modules for Linux Infrared Remote Control\
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
Requires(post,postun):	/sbin/depmod\
Requires:	%{pname} = %{version}\
Conflicts:	dev < 2.8.0-3\
\
%description -n kernel%{_alt_kernel}-char-lirc-sasem\
This package contains the kernel modules necessary to operate some\
infrared remote control devices (such as the ones bundled with TV\
cards).\
\
lirc_sasem module.\
\
%description -n kernel%{_alt_kernel}-char-lirc-sasem -l pl.UTF-8\
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych\
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).\
\
Moduł lirc_sasem.\
\
%package -n kernel%{_alt_kernel}-char-lirc-serial\
Summary:	Kernel modules for Linux Infrared Remote Control\
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
Requires(post,postun):	/sbin/depmod\
Requires:	%{pname} = %{version}\
%{?with_dist_kernel:Requires:	setserial}\
Obsoletes:	lirc-modules\
Obsoletes:	lirc-modules-serial\
Conflicts:	dev < 2.8.0-3\
\
%description -n kernel%{_alt_kernel}-char-lirc-serial\
This package contains the kernel modules necessary to operate some\
infrared remote control devices (such as the ones bundled with TV\
cards).\
\
lirc_serial module for devices connected to serial port.\
\
%description -n kernel%{_alt_kernel}-char-lirc-serial -l pl.UTF-8\
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych\
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).\
\
Moduł lirc_serial dla urządzeń podłączanych do portu szeregowego.\
\
%package -n kernel%{_alt_kernel}-char-lirc-sir\
Summary:	Kernel modules for Linux Infrared Remote Control\
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
Requires(post,postun):	/sbin/depmod\
Requires:	%{pname} = %{version}\
Obsoletes:	lirc-modules\
Obsoletes:	lirc-modules-sir\
Conflicts:	dev < 2.8.0-3\
\
%description -n kernel%{_alt_kernel}-char-lirc-sir\
This package contains the kernel modules necessary to operate some\
infrared remote control devices (such as the ones bundled with TV\
cards).\
\
lirc_sir module.\
\
%description -n kernel%{_alt_kernel}-char-lirc-sir -l pl.UTF-8\
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych\
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).\
\
Moduł lirc_sir.\
\
%package -n kernel%{_alt_kernel}-char-lirc-ttusbir\
Summary:	Kernel modules for Linux Infrared Remote Control\
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
Requires(post,postun):	/sbin/depmod\
Requires:	%{pname} = %{version}\
Obsoletes:	lirc-modules\
Obsoletes:	lirc-modules-ttusbir\
Conflicts:	dev < 2.8.0-3\
\
%description -n kernel%{_alt_kernel}-char-lirc-ttusbir\
This package contains the kernel modules necessary to operate\
TechnoTrend USB IR Receiver.\
\
lirc_ttusbir module.\
\
%description -n kernel%{_alt_kernel}-char-lirc-ttusbir -l pl.UTF-8\
Ten pakiet zawiera moduł kernela niezbędny do obsługi urządzenia\
TechnoTrend USB IR Receiver.\
\
Moduł lirc_ttusbir.\
\
%package -n kernel%{_alt_kernel}-char-lirc-wpc87691\
Summary:	Kernel modules for Linux Infrared Remote Control\
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
Requires(post,postun):	/sbin/depmod\
Requires:	%{pname} = %{version}\
Conflicts:	dev < 2.8.0-3\
\
%description -n kernel%{_alt_kernel}-char-lirc-wpc87691\
This package contains the kernel modules necessary to operate\
TechnoTrend USB IR Receiver.\
\
lirc_wpc87691 module.\
\
%description -n kernel%{_alt_kernel}-char-lirc-wpc87691 -l pl.UTF-8\
Ten pakiet zawiera moduł kernela niezbędny do obsługi urządzenia\
TechnoTrend USB IR Receiver.\
\
Moduł lirc_wpc87691.\
\
%package -n kernel%{_alt_kernel}-char-lirc-parallel\
Summary:	Kernel modules for Linux Infrared Remote Control\
Summary(pl.UTF-8):	Moduły jądra dla zdalnej obsługi Linuksa za pomocą podczerwieni\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
%if %{with dist_kernel}\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
%endif\
Requires(post,postun):	/sbin/depmod\
Requires:	%{pname} = %{version}\
Obsoletes:	lirc-modules\
Obsoletes:	lirc-modules-parallel\
Conflicts:	dev < 2.8.0-3\
\
%description -n kernel%{_alt_kernel}-char-lirc-parallel\
This package contains the kernel modules necessary to operate some\
infrared remote control devices (such as the ones bundled with TV\
cards).\
\
lirc-parallel module for devices connected to parallel port.\
\
%description -n kernel%{_alt_kernel}-char-lirc-parallel -l pl.UTF-8\
Ten pakiet zawiera moduły jądra niezbędne do obsługi niektórych\
pilotów na podczerwień (w tym tych dostarczanych z kartami TV).\
\
Moduł lirc_parallel dla urządzeń podłączanych do portu równoległego.\
\
%if %{with kernel}\
%files -n kernel%{_alt_kernel}-char-lirc-atiusb\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/misc/lirc_atiusb.ko*\
\
%files -n kernel%{_alt_kernel}-char-lirc-bt829\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/misc/lirc_bt829.ko*\
\
%files -n kernel%{_alt_kernel}-char-lirc-dev\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/misc/lirc_dev.ko*\
\
%if %{_kernel_version_code} < %{_kernel_version_magic 3 0 0}\
%files -n kernel%{_alt_kernel}-char-lirc-ene0100\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/misc/lirc_ene0100.ko*\
%endif\
\
%if %{_kernel_version_code} < %{_kernel_version_magic 2 6 23}\
%files -n kernel%{_alt_kernel}-char-lirc-gpio\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/misc/lirc_gpio.ko*\
%endif\
\
%files -n kernel%{_alt_kernel}-char-lirc-i2c\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/misc/lirc_i2c.ko*\
\
%files -n kernel%{_alt_kernel}-char-lirc-igorplugusb\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/misc/lirc_igorplugusb.ko*\
\
%files -n kernel%{_alt_kernel}-char-lirc-imon\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/misc/lirc_imon.ko*\
\
%files -n kernel%{_alt_kernel}-char-lirc-sasem\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/misc/lirc_sasem.ko*\
\
%files -n kernel%{_alt_kernel}-char-lirc-serial\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/misc/lirc_serial.ko*\
\
%files -n kernel%{_alt_kernel}-char-lirc-sir\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/misc/lirc_sir.ko*\
\
%files -n kernel%{_alt_kernel}-char-lirc-ttusbir\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/misc/lirc_ttusbir.ko*\
\
%if %{_kernel_version_code} < %{_kernel_version_magic 3 0 0}\
%files -n kernel%{_alt_kernel}-char-lirc-wpc87691\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/misc/lirc_wpc8769l.ko*\
%endif\
\
%files -n kernel%{_alt_kernel}-char-lirc-parallel\
%defattr(644,root,root,755)\
/lib/modules/%{_kernel_ver}/misc/lirc_parallel.ko*\
%endif\
%{nil}

%define kernel_pkg_scriptlets()\
%post	-n kernel%{_alt_kernel}-char-lirc-atiusb\
%depmod %{_kernel_ver}\
if [ "$1" = "1" ]; then\
	echo "Don't forget to add an 'alias lirc lirc_atiusb' to modprobe config"\
fi\
\
%postun	-n kernel%{_alt_kernel}-char-lirc-atiusb\
%depmod %{_kernel_ver}\
\
%post	-n kernel%{_alt_kernel}-char-lirc-bt829\
%depmod %{_kernel_ver}\
if [ "$1" = "1" ]; then\
	echo "Don't forget to add an 'alias lirc lirc_bt829' to modprobe config"\
fi\
\
%postun	-n kernel%{_alt_kernel}-char-lirc-bt829\
%depmod %{_kernel_ver}\
\
%post	-n kernel%{_alt_kernel}-char-lirc-dev\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-char-lirc-dev\
%depmod %{_kernel_ver}\
\
%post	-n kernel%{_alt_kernel}-char-lirc-ene0100\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-char-lirc-ene0100\
%depmod %{_kernel_ver}\
\
%post	-n kernel%{_alt_kernel}-char-lirc-gpio\
%depmod %{_kernel_ver}\
if [ "$1" = "1" ]; then\
	echo "Don't forget to add an 'alias lirc lirc_gpio' to modprobe config"\
fi\
\
%postun	-n kernel%{_alt_kernel}-char-lirc-gpio\
%depmod %{_kernel_ver}\
\
%post	-n kernel%{_alt_kernel}-char-lirc-i2c\
%depmod %{_kernel_ver}\
if [ "$1" = "1" ]; then\
	echo "Don't forget to add an 'alias lirc lirc_i2c' to modprobe config"\
fi\
\
%postun	-n kernel%{_alt_kernel}-char-lirc-i2c\
%depmod %{_kernel_ver}\
\
%post	-n kernel%{_alt_kernel}-char-lirc-igorplugusb\
%depmod %{_kernel_ver}\
if [ "$1" = "1" ]; then\
	echo "Don't forget to add an 'alias lirc lirc_igorplugusb' to modprobe config"\
fi\
\
%postun	-n kernel%{_alt_kernel}-char-lirc-igorplugusb\
%depmod %{_kernel_ver}\
\
%post	-n kernel%{_alt_kernel}-char-lirc-imon\
%depmod %{_kernel_ver}\
if [ "$1" = "1" ]; then\
	echo "Don't forget to add an 'alias lirc lirc_imon' to modprobe config"\
fi\
\
%postun	-n kernel%{_alt_kernel}-char-lirc-imon\
%depmod %{_kernel_ver}\
\
%post	-n kernel%{_alt_kernel}-char-lirc-sasem\
%depmod %{_kernel_ver}\
if [ "$1" = "1" ]; then\
	echo "Don't forget to add an 'alias lirc lirc_sasem' to modprobe config"\
fi\
\
%postun	-n kernel%{_alt_kernel}-char-lirc-sasem\
%depmod %{_kernel_ver}\
\
%post	-n kernel%{_alt_kernel}-char-lirc-serial\
%depmod %{_kernel_ver}\
if [ "$1" = "1" ]; then\
	echo "Don't forget to add an 'alias lirc lirc_serial' to modprobe config"\
fi\
\
%postun	-n kernel%{_alt_kernel}-char-lirc-serial\
%depmod %{_kernel_ver}\
\
%post	-n kernel%{_alt_kernel}-char-lirc-parallel\
%depmod %{_kernel_ver}\
if [ "$1" = "1" ]; then\
	echo "Don't forget to add an 'alias lirc lirc_parallel' modprobe config"\
fi\
\
%postun	-n kernel%{_alt_kernel}-char-lirc-parallel\
%depmod %{_kernel_ver}\
\
%post	-n kernel%{_alt_kernel}-char-lirc-sir\
%depmod %{_kernel_ver}\
if [ "$1" = "1" ]; then\
	echo "Don't forget to add an 'alias lirc lirc_sir' to modprobe config"\
fi\
\
%postun	-n kernel%{_alt_kernel}-char-lirc-sir\
%depmod %{_kernel_ver}\
\
%post	-n kernel%{_alt_kernel}-char-lirc-ttusbir\
%depmod %{_kernel_ver}\
if [ "$1" = "1" ]; then\
	echo "Don't forget to add an 'alias lirc lirc_ttusbir' to modprobe config"\
fi\
\
%postun	-n kernel%{_alt_kernel}-char-lirc-ttusbir\
%depmod %{_kernel_ver}\
\
%post   -n kernel%{_alt_kernel}-char-lirc-wpc87691\
%depmod %{_kernel_ver}\
if [ "$1" = "1" ]; then\
	echo "Don't forget to add an 'alias lirc lirc_wpc87691' to modprobe config"\
fi\
\
%postun -n kernel%{_alt_kernel}-char-lirc-wpc87691\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%configure \\\
	ac_cv_header_portaudio_h=no \\\
	--with-kerneldir=%{_kernelsrcdir} \\\
	%{?with_x:--with-x} \\\
	--with-port=0x2f8 \\\
	--with-irq=3 \\\
	--without-soft-carrier \\\
	--with-driver=userspace \\\
	--with-igor\
\
drivers=%{drivers}\
for drv in $drivers; do\
	cd drivers/$drv\
	%{__make} clean \\\
		LIRC_DEVDIR=`pwd` \\\
		RCS_FIND_IGNORE="-name '*.ko' -o" \\\
		%{?with_verbose:V=1}\
\
	%{__make} -j1 \\\
		LIRC_DEVDIR=`pwd` \\\
		CONSTIFY_PLUGIN="" \\\
		KBUILD_MODPOST_WARN=1 \\\
		%{?with_verbose:V=1}\
	cd ../..\
	%install_kernel_modules -D installed -m drivers/$drv/$drv -d misc\
done\
%{nil}

%{?with_kernel:%{expand:%kpkg}}

%prep
%setup -q -n %{pname}-%{version} -a 1
%patch0 -p1
%patch1 -p1
%if !%{with svga}
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
echo '#' > drivers/Makefile.am
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}

%if %{with userspace}
%configure \
	ac_cv_header_portaudio_h=no \
%if %{without kernel}
	ac_cv_have_kernel="no_kernel=yes" \
%endif
	--with-kerneldir=%{_kernelsrcdir} \
	%{?with_x:--with-x} \
	--with-port=0x2f8 \
	--with-irq=3 \
	--without-soft-carrier \
	--with-driver=userspace \
	--with-igor

%{__make} -j1
%endif

%{?with_kernel:%{expand:%bkpkg}}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%if %{with kernel}
cp -a installed/* $RPM_BUILD_ROOT
%endif

%if %{with userspace}
install -d $RPM_BUILD_ROOT{%{_bindir},%{_aclocaldir},/dev,/var/{log,run/lirc}} \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,lirc} \
	$RPM_BUILD_ROOT%{systemdtmpfilesdir}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir}

cat>$RPM_BUILD_ROOT%{_sysconfdir}/lirc/lircd.conf<<END
#
# This is a placeholder for your configuration file.
# See %{_docdir}/%{pname}-%{version}/remotes for some examples.
#
END
cp -f $RPM_BUILD_ROOT%{_sysconfdir}/lirc/lirc{,m}d.conf
cp -p contrib/*.m4 $RPM_BUILD_ROOT%{_aclocaldir}
:> $RPM_BUILD_ROOT/var/log/lircd

cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/lircd
install -p %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/lircd
install -p %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/lircmd
cp -p %{SOURCE5} $RPM_BUILD_ROOT%{systemdtmpfilesdir}/%{name}.conf
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post
/sbin/chkconfig --add lircd
/sbin/chkconfig --add lircmd
%service lircd restart
%service lircmd restart

echo "If you are using a kernel-module-based driver, don't forget to"
echo "install the kernel%{_alt_kernel}-char-lirc-<your_driver> package."

%preun
if [ "$1" = "0" ]; then
	%service lircd stop
	%service lircmd stop
	/sbin/chkconfig --del lircd
	/sbin/chkconfig --del lircmd
fi

%triggerpostun -- %{name} < 0.8.6-8
if [ -f %{_sysconfdir}/lircd.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/lircd.conf.rpmsave %{_sysconfdir}/lirc/lircd.conf
fi
if [ -f %{_sysconfdir}/lircmd.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/lircmd.conf.rpmsave %{_sysconfdir}/lirc/lircmd.conf
fi

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc ANNOUNCE AUTHORS NEWS README TODO ChangeLog
%doc contrib/lircrc doc/{html,images,lirc.css}
%attr(755,root,root) %{_bindir}/ircat
%attr(755,root,root) %{_bindir}/irexec
%attr(755,root,root) %{_bindir}/irpty
%attr(755,root,root) %{_bindir}/irrecord
%attr(755,root,root) %{_bindir}/irsend
%attr(755,root,root) %{_bindir}/irw
%attr(755,root,root) %{_bindir}/mode2
%attr(755,root,root) %{_bindir}/lircrcd
%attr(755,root,root) %{_bindir}/pronto2lirc
%attr(755,root,root) %{_sbindir}/lircd
%attr(755,root,root) %{_sbindir}/lircmd
%attr(754,root,root) /etc/rc.d/init.d/lircd
%attr(754,root,root) /etc/rc.d/init.d/lircmd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/lircd
%dir %{_sysconfdir}/lirc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lirc/lircd.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lirc/lircmd.conf
%{_mandir}/man1/ircat.1*
%{_mandir}/man1/irexec.1*
%{_mandir}/man1/irpty.1*
%{_mandir}/man1/irrecord.1*
%{_mandir}/man1/irsend.1*
%{_mandir}/man1/irw.1*
%{_mandir}/man1/lircrcd.1*
%{_mandir}/man1/mode2.1*
%{_mandir}/man8/lircd.8*
%{_mandir}/man8/lircmd.8*
%attr(600,root,root) %ghost /var/log/lircd
%dir /var/run/lirc
%{systemdtmpfilesdir}/%{name}.conf

%files remotes
%defattr(644,root,root,755)
# XXX: are jpegs in docs (remotes) a good idea?
%doc remotes

%if %{with x}
%files X11
%defattr(644,root,root,755)
%doc doc/irxevent.keys
%attr(755,root,root) %{_bindir}/irxevent
%attr(755,root,root) %{_bindir}/xmode2
%{_mandir}/man1/irxevent.1*
%{_mandir}/man1/xmode2.1*
%endif

%if %{with svga}
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/smode2
%{_mandir}/man1/smode2.1*
%endif

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblirc_client.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblirc_client.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblirc_client.so
%{_libdir}/liblirc_client.la
%{_includedir}/lirc
%{_aclocaldir}/lirc.m4

%files static
%defattr(644,root,root,755)
%{_libdir}/liblirc_client.a
%endif
%changelog
* Sat Dec 21 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lirc.git;a=log;h=auto/th/lirc-0.9.0-104

* Mon Oct 28 2013 Jan Rękorajski <baggins@pld-linux.org> 24c9420
- use new macros for kernel version detection

* Mon Oct 28 2013 Jan Rękorajski <baggins@pld-linux.org> 5d8ec05
- add -kernel suffix to (srpm) package name when building kernel modules on builders
- autogenerate kernel BRs
- rel 104

* Sun Oct 27 2013 Jan Rękorajski <baggins@pld-linux.org> 211ada8
- switch to macro driven module build for multiple kernel versions
- rel 103

* Mon Oct 07 2013 Jan Rękorajski <baggins@pld-linux.org> ed66ff6
- rebuild for kernel-longterm-3.4.65-1
- release 102 (by relup.sh)

* Wed Oct 02 2013 Jan Rękorajski <baggins@pld-linux.org> 008ac99
- rebuild for kernel-longterm-3.4.64-1
- release 101 (by relup.sh)

* Fri Sep 27 2013 Jan Rękorajski <baggins@pld-linux.org> 56c27be
- rebuild for kernel-longterm-3.4.63-1
- release 100 (by relup.sh)

* Sun Sep 15 2013 Jan Rękorajski <baggins@pld-linux.org> 1644460
- rebuild for kernel-longterm-3.4.62-1
- release 99 (by relup.sh)

* Tue Sep 10 2013 Jan Rękorajski <baggins@pld-linux.org> f58d594
- rebuild for kernel-longterm-3.4.61-1
- release 98 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> 6326b51
- rebuild for kernel-longterm-3.4.60-1
- release 97 (by relup.sh)

* Sat Aug 24 2013 Jan Rękorajski <baggins@pld-linux.org> 718752a
- rebuild for kernel-longterm-3.4.59-1
- release 96 (by relup.sh)

* Thu Aug 15 2013 Jan Rękorajski <baggins@pld-linux.org> 274510d
- rebuild for kernel-longterm-3.4.58-1
- release 95 (by relup.sh)

* Thu Jul 25 2013 Jan Rękorajski <baggins@pld-linux.org> 0ee71d1
- rebuild for kernel-longterm-3.4.54-1
- release 94 (by relup.sh)

* Wed Jul 03 2013 Jan Rękorajski <baggins@pld-linux.org> 9bf6edb
- rebuild for kernel-longterm-3.4.52-1
- release 93 (by relup.sh)

* Thu Jun 27 2013 Jan Rękorajski <baggins@pld-linux.org> edca1ac
- rebuild for kernel-longterm-3.4.51-1
- release 92 (by relup.sh)

* Thu Jun 20 2013 Jan Rękorajski <baggins@pld-linux.org> 9347c01
- rebuild for kernel-longterm-3.4.50-1
- release 91 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 5b85010
- rebuild for kernel-longterm-3.4.49-1
- release 90 (by relup.sh)

* Fri Jun 07 2013 Jan Rękorajski <baggins@pld-linux.org> 488c03f
- rebuild for kernel-longterm-3.4.48-1 /home/users/baggins/devel/PLD/rpm/packages
- release 89 (by relup.sh)

* Mon Jun 03 2013 Jan Rękorajski <baggins@pld-linux.org> 9370611
- rebuild for kernel-3.9.4-3
- release 88 (by relup.sh)

* Fri May 24 2013 Jan Rękorajski <baggins@pld-linux.org> 741bf72
- rebuild for kernel-3.7.10-9
- release 87 (by relup.sh)

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> 4c93e39
- rebuild for kernel-3.7.10-8
- release 86 (by relup.sh)

